QueryDescription
Keywords: uk.ac.ic.doc.rodex.qproc.QueryDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.rodex.qproc
Class QueryDescription

    java.lang.Object
      uk.ac.ic.doc.rodex.qproc.QueryDescription

All Implemented Interfaces:
  PersistentObject

    public class QueryDescription

extends java.lang.Object
implements PersistentObject

Field Summary
`static java.lang.String` | `ATTRIB_QUERY`
`static java.lang.String` | `ATTRIB_SCHEMA_NAME`
`static java.lang.String` | `NULL_VALUE`

Constructor Summary
`QueryDescription(java.lang.String schemaName, ASG query, QualityIndicator qi)`
`QueryDescription(java.lang.String schemaName, java.lang.String query)` Use this constructor when no quality indicators are used
`QueryDescription(java.lang.String schemaName, java.lang.String query, QualityIndicator qi)` Creates a new instance of QueryDescription

Method Summary
`static QueryDescription` | `deserialise(java.util.Map pa)` This method guarantees that a PersistentObject can be deserialised properly from its own set of persistent attributes.
`ASG` | `getASGQuery()`
`PersistentKey` | `getKey()`
`java.util.Map` | `getPersistentAttributes()`
`QualityIndicator` | `getQualityIndicator()`
`java.lang.String` | `getQuery()`
`java.lang.String` | `getSchemaName()`
`void` | `setQuery(java.lang.String query)`
`void` | `setQueryASG(ASG asgQuery)`
`void` | `setSchemaName(java.lang.String schemaName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIB_SCHEMA_NAME

    public static final java.lang.String ATTRIB_SCHEMA_NAME

See Also:
  Constant Field Values

### ATTRIB_QUERY

    public static final java.lang.String ATTRIB_QUERY

See Also:
  Constant Field Values

### NULL_VALUE

    public static final java.lang.String NULL_VALUE

See Also:
  Constant Field Values

Constructor Detail

### QueryDescription

    public QueryDescription(java.lang.String schemaName,
                            java.lang.String query,
                            QualityIndicator qi)

  Creates a new instance of QueryDescription

  Parameters:
    `schema` - the name of the public schema on the peer to query
    `query` - the query to pose on that public schema
    `qi` - `QualityIndictor` of the query

### QueryDescription

    public QueryDescription(java.lang.String schemaName,
                            java.lang.String query)

  Use this constructor when no quality indicators are used

### QueryDescription

    public QueryDescription(java.lang.String schemaName,
                            ASG query,
                            QualityIndicator qi)

Method Detail

### setSchemaName

    public void setSchemaName(java.lang.String schemaName)

### setQuery

    public void setQuery(java.lang.String query)
                  throws ParseException

  Throws:
    `ParseException`

### setQueryASG

    public void setQueryASG(ASG asgQuery)

### getQuery

    public java.lang.String getQuery()

### getASGQuery

    public ASG getASGQuery()
                    throws ParseException

  Throws:
    `ParseException`

### getSchemaName

    public java.lang.String getSchemaName()

### getQualityIndicator

    public QualityIndicator getQualityIndicator()

### getKey

    public PersistentKey getKey()

  Specified by:
    `getKey` in interface `PersistentObject`

### getPersistentAttributes

    public java.util.Map getPersistentAttributes()

  Specified by:
    `getPersistentAttributes` in interface `PersistentObject`

### deserialise

    public static QueryDescription deserialise(java.util.Map pa)
                                        throws java.lang.IllegalArgumentException

  This method guarantees that a PersistentObject can be deserialised properly from its own set of persistent attributes. It is a reverse of `getPersistentAttributes()`

  Parameters:
    `pa` - a `HashMap` of persistent attributes (created by {@link #getPersistentAttributes())
  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD